v1 (deprecated)
Interest Account Balance Request
If you are enrolled in the interest account program, get the current balance on the interest account. Fractions of cents are tracked to properly calculate daily interest accrual even if the interest balance is low.
GET
/
v1
/
interest
/
balance
Interest Account Balance Request
curl --request GET \
--url https://sandbox.gateway.sezzle.com/v1/interest/balance \
--header 'Authorization: <api-key>'import requests
url = "https://sandbox.gateway.sezzle.com/v1/interest/balance"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://sandbox.gateway.sezzle.com/v1/interest/balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"interest_balance": 5183.4624
}{
"status": 400,
"id": "bad_request",
"message": "bad request"
}{
"status": 401,
"id": "unauthorized",
"message": "authorization not accepted"
}{
"status": 404,
"id": "record_not_found",
"message": "not found"
}{
"status": 422,
"id": "invalid",
"message": "Unprocessable entity"
}You are viewing Version 1 of the Sezzle API. Check out the current version!
Authorizations
The authentication token generated from providing API Keys to Sezzle Gateway
Query Parameters
The ISO-4217 currency code of the interest account. If omitted, will default to USD.
Response
Successful Operation
The available interest balance on your account
⌘I
Interest Account Balance Request
